Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream.util
Class PipedXMLInputStreamBase

    java.lang.Object
      weblogic.xml.stream.util.PipedXMLInputStreamBase

All Implemented Interfaces:
  XMLInputStream, XMLInputStreamFilter

Deprecated. please use java standard StAX api

    public class PipedXMLInputStreamBase

extends Object
implements XMLInputStreamFilter

This is the implementation of the interface for creating Filters on XMLInputStreams

Since:
  XMLInputStream 1.0
See Also:
  `XMLInputStream`, `XMLOutputStream`, `XMLInputStreamFilter`

Field Summary
`protected boolean` | `open` Deprecated.
`protected XMLInputStream` | `parent` Deprecated.

Constructor Summary
`PipedXMLInputStreamBase()` Deprecated.
`PipedXMLInputStreamBase(XMLInputStream parent)` Deprecated.

Method Summary
`void` | `close()` Deprecated. Closes this input stream and releases any system resources associated with the stream.
`protected XMLEvent` | `filter(XMLEvent e)` Deprecated.
`XMLInputStream` | `getParent()` Deprecated. Get the parent stream
`ReferenceResolver` | `getReferenceResolver()` Deprecated. Returns the reference resolver that was set for this stream, returns null if no ReferenceResolver has been set.
`XMLInputStream` | `getSubStream()` Deprecated. getSubStream() returns a stream which points to the entire next element in the current stream.
`boolean` | `hasNext()` Deprecated. Check if there are more events to pull of the stream
`XMLEvent` | `next()` Deprecated. Get the next XMLEvent on the stream
`XMLEvent` | `peek()` Deprecated. Check the next XMLEvent without reading it from the stream.
`void` | `setParent(XMLInputStream parent)` Deprecated. Set the parent stream
`void` | `setReferenceResolver(ReferenceResolver resolver)` Deprecated. Provides a way to set the ReferenceResolver of the stream, this is mostly needed for handle references to other parts of the document.
`void` | `skip()` Deprecated. Skip the next stream event
`boolean` | `skip(int elementType)` Deprecated. Position the stream at the next XMLEvent of this type.
`boolean` | `skip(XMLName name)` Deprecated. Position the stream at the next element of this name.
`boolean` | `skip(XMLName name, int elementType)` Deprecated. Position the stream at the next element of this name and this type.
`void` | `skipElement()` Deprecated. Skips the entire next start tag / end tag pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected XMLInputStream parent

  Deprecated.

### open

    protected boolean open

  Deprecated.

Constructor Detail

### PipedXMLInputStreamBase

    public PipedXMLInputStreamBase()

  Deprecated.

### PipedXMLInputStreamBase

    public PipedXMLInputStreamBase(XMLInputStream parent)
                            throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

Method Detail

### filter

    protected XMLEvent filter(XMLEvent e)
                       throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### next

    public XMLEvent next()
                  throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Get the next XMLEvent on the stream

  Specified by:
    `next` in interface `XMLInputStream`
  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`

### hasNext

    public boolean hasNext()
                    throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Check if there are more events to pull of the stream

  Specified by:
    `hasNext` in interface `XMLInputStream`
  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`

### skip

    public void skip()
              throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Skip the next stream event

  Specified by:
    `skip` in interface `XMLInputStream`
  Throws:
    `XMLStreamException`

### skipElement

    public void skipElement()
                     throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Skips the entire next start tag / end tag pair.

  Specified by:
    `skipElement` in interface `XMLInputStream`
  Throws:
    `XMLStreamException`

### peek

    public XMLEvent peek()
                  throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Check the next XMLEvent without reading it from the stream. Returns null if the stream is at EOF or has no more XMLEvents.

  Specified by:
    `peek` in interface `XMLInputStream`
  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`

### skip

    public boolean skip(int elementType)
                 throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Position the stream at the next XMLEvent of this type. The method returns true if the stream contains another XMLEvent of this type and false otherwise.

  Specified by:
    `skip` in interface `XMLInputStream`
  Parameters:
    `elementType` - An integer code that indicates the element type.
  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`

### skip

    public boolean skip(XMLName name)
                 throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Position the stream at the next element of this name. The method returns true if the stream contains another element with this name and false otherwise. Skip is a forward operator only. It does not look backward in the stream.

  Specified by:
    `skip` in interface `XMLInputStream`
  Parameters:
    `name` - An object that defines an XML name. If the XMLName.getNameSpaceName() method on the XMLName argument returns null the XMLName will match just the local name. Prefixes are not checked for equality.
  Throws:
    `XMLStreamException`
  See Also:
    `XMLName`

### skip

    public boolean skip(XMLName name,
                        int elementType)
                 throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Position the stream at the next element of this name and this type. The method returns true if the stream contains another element with this name of this type and false otherwise.

  Specified by:
    `skip` in interface `XMLInputStream`
  Parameters:
    `name` - An object that defines an XML name. If the XMLName.getNameSpaceName() method on the XMLName argument returns null the XMLName will match just the local name. Prefixes are not checked for equality.
    `elementType` - An integer code that indicates the element type.
  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`, `XMLName`

### getSubStream

    public XMLInputStream getSubStream()
                                throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  getSubStream() returns a stream which points to the entire next element in the current stream. For example: take a document that has a root node A, where the children of A are B, C, and D. If the stream is pointing to the start element of A, getSubStream() will return A, B, C and D including the start element of A and the end element of A. The position of the parent stream is not changed and the events read by the substream are written back to its parent.

  Specified by:
    `getSubStream` in interface `XMLInputStream`
  Throws:
    `XMLStreamException`

### close

    public void close()
               throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Closes this input stream and releases any system resources associated with the stream.

  Specified by:
    `close` in interface `XMLInputStream`
  Throws:
    `XMLStreamException`

### getParent

    public XMLInputStream getParent()

  Deprecated.
  Description copied from interface: `XMLInputStreamFilter`
  Get the parent stream

  Specified by:
    `getParent` in interface `XMLInputStreamFilter`
  See Also:
    `XMLInputStream`

### setParent

    public void setParent(XMLInputStream parent)
                   throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStreamFilter`
  Set the parent stream

  Specified by:
    `setParent` in interface `XMLInputStreamFilter`
  Throws:
    `XMLStreamException`
  See Also:
    `XMLInputStream`

### setReferenceResolver

    public void setReferenceResolver(ReferenceResolver resolver)

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Provides a way to set the ReferenceResolver of the stream, this is mostly needed for handle references to other parts of the document.

  Specified by:
    `setReferenceResolver` in interface `XMLInputStream`
  See Also:
    `ReferenceResolver`

### getReferenceResolver

    public ReferenceResolver getReferenceResolver()

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Returns the reference resolver that was set for this stream, returns null if no ReferenceResolver has been set.

  Specified by:
    `getReferenceResolver` in interface `XMLInputStream`
  See Also:
    `ReferenceResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD